/*  Coman
 *  Copyright (C) 2000 Luc Lavoie <bart98_@yahoo.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef LIBCOMAN_H
#define LIBCOMAN_H

#ifdef __cplusplus
extern "C" {
#endif

int InitConfig (const char *FileName);
int CloseConfig (const char *FileName, int config);
void SetGroup (const char *GroupName, int config);
char* GetString (const char *SettingName, int config);
int GetNumber (const char *SettingName, int config);
int WriteString (const char *SettingName, const char *Value, int config);
int WriteNumber (const char *SettingName, int Value, int config);

#ifdef __cplusplus
}
#endif

#endif
